<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('globals_g.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:</div>

<h3><a id="index_g" name="index_g"></a>- g -</h3><ul>
<li>getADC()&#160;:&#160;<a class="el" href="a00002.html#a7ff5ff29711399bd67553b877e2fe88c">vicolib.h</a></li>
<li>getAllParameters()&#160;:&#160;<a class="el" href="a00002.html#a185d765f8a42c62f69cd8a0fca16da01">vicolib.h</a></li>
<li>getARdy()&#160;:&#160;<a class="el" href="a00002.html#a983513c7628a5227764bae789f38f3b9">vicolib.h</a></li>
<li>getBaselineAverageLength()&#160;:&#160;<a class="el" href="a00002.html#a59ffb0f59efbad5a286e83ebfd89fc7b">vicolib.h</a></li>
<li>getBaselineTrim()&#160;:&#160;<a class="el" href="a00002.html#a45f61770b557e02c6004d9480e9585b3">vicolib.h</a></li>
<li>getBoardTemperature()&#160;:&#160;<a class="el" href="a00002.html#afa2270b375c72e7061fe3c61fb2a5ffc">vicolib.h</a></li>
<li>getClockingSpeed()&#160;:&#160;<a class="el" href="a00002.html#ac5bc75ad2694c7d3b1d66743c88adab8">vicolib.h</a></li>
<li>getDaemonConnection()&#160;:&#160;<a class="el" href="a00002.html#a1625b487c2fb4559eb10564063ec6d30">vicolib.h</a></li>
<li>getDaemonVersion()&#160;:&#160;<a class="el" href="a00002.html#a2a7639b2cbad7e518285d65fc3e3264f">vicolib.h</a></li>
<li>getDeviceInfoByIndex()&#160;:&#160;<a class="el" href="a00002.html#a61581639667abd6578b9e1cd363de3de">vicolib.h</a></li>
<li>getDigitalEnergyGain()&#160;:&#160;<a class="el" href="a00002.html#a7ba20631f06e778c81758cfd9eb60ab7">vicolib.h</a></li>
<li>getDigitalEnergyOffset()&#160;:&#160;<a class="el" href="a00002.html#a60794c96ccd0379f3df5def9d74b426c">vicolib.h</a></li>
<li>getDynamicResetDuration()&#160;:&#160;<a class="el" href="a00002.html#a04b41dd25f8e17a7c71683057b98a670">vicolib.h</a></li>
<li>getDynamicResetThreshold()&#160;:&#160;<a class="el" href="a00002.html#af6f42c3d9ae9adfdcc6c1ebf6e5d6bb0">vicolib.h</a></li>
<li>getEEP()&#160;:&#160;<a class="el" href="a00002.html#a5087c36062115e4ff5c84d657ccf480c">vicolib.h</a></li>
<li>getEthernetPort()&#160;:&#160;<a class="el" href="a00002.html#af547b6ae8f170f5a7084ad9e30696dd9">vicolib.h</a></li>
<li>getEthernetProtocol()&#160;:&#160;<a class="el" href="a00002.html#a97be9f4ee9ab1e4121afd307f4b9c148">vicolib.h</a></li>
<li>getEthernetSpeed()&#160;:&#160;<a class="el" href="a00002.html#a8383e93e9988004e448261913975bc0d">vicolib.h</a></li>
<li>getEventRate()&#160;:&#160;<a class="el" href="a00002.html#a13444fe5310d68202167144cbde8eb01">vicolib.h</a></li>
<li>getEventScope()&#160;:&#160;<a class="el" href="a00002.html#a69a0a42f17334d881333876ca65b2033">vicolib.h</a></li>
<li>getEventScopeSamplingInterval()&#160;:&#160;<a class="el" href="a00002.html#adc4b0b3cd09e6e4446abf116da02daed">vicolib.h</a></li>
<li>getEventScopeTriggerTimeout()&#160;:&#160;<a class="el" href="a00002.html#ac548633222a14d1f8a02f15e7ebfceed">vicolib.h</a></li>
<li>getEventTriggerSource()&#160;:&#160;<a class="el" href="a00002.html#a43d942cf02880c3e2742d20908f9ac79">vicolib.h</a></li>
<li>getEventTriggerValue()&#160;:&#160;<a class="el" href="a00002.html#a9daaeb2622d8553d44164e8028987cb5">vicolib.h</a></li>
<li>getFastFilterGapTime()&#160;:&#160;<a class="el" href="a00002.html#ac21c09766c210bcf18e98785f7c349d7">vicolib.h</a></li>
<li>getFastFilterMaxWidth()&#160;:&#160;<a class="el" href="a00002.html#ad8e3618daa0b7d37f2b1b7eefdc1742d">vicolib.h</a></li>
<li>getFastFilterPeakingTime()&#160;:&#160;<a class="el" href="a00002.html#a296b0556ac39d2a867045d541ecf3606">vicolib.h</a></li>
<li>getFastFilterTriggerThreshold()&#160;:&#160;<a class="el" href="a00002.html#a6b9d314b04b2ab0ff322d70bdf215740">vicolib.h</a></li>
<li>getFirmwareVersion()&#160;:&#160;<a class="el" href="a00002.html#a64a6796bd84611d246d597d5ff378384">vicolib.h</a></li>
<li>getGatewayIPAddress()&#160;:&#160;<a class="el" href="a00002.html#af5146eb01a52d8d3b735e782f94bf6b5">vicolib.h</a></li>
<li>getHostIpAddress()&#160;:&#160;<a class="el" href="a00002.html#ab907f081051ea553d4eb505914388df6">vicolib.h</a></li>
<li>getIO()&#160;:&#160;<a class="el" href="a00002.html#ac70d6aa231d9f9c6582845a0ff81d5ea">vicolib.h</a></li>
<li>getIPAddress()&#160;:&#160;<a class="el" href="a00002.html#acb80a61672d93210cd77ac4f0d2aa2c2">vicolib.h</a></li>
<li>getKeyRevision()&#160;:&#160;<a class="el" href="a00002.html#ac674b1124caf5fa99f55dca51f50c8f6">vicolib.h</a></li>
<li>getLibraryVersion()&#160;:&#160;<a class="el" href="a00002.html#a0db1d67e9777cd3eea0cb37663ee03c4">vicolib.h</a></li>
<li>getLogLevel()&#160;:&#160;<a class="el" href="a00002.html#a93ffc152e604d445a0c56e2961af7a24">vicolib.h</a></li>
<li>getMACAddress()&#160;:&#160;<a class="el" href="a00002.html#ab7c8da327d6fac8ee7deed44f417044c">vicolib.h</a></li>
<li>getMCABytesPerBin()&#160;:&#160;<a class="el" href="a00002.html#a130b06c1d07ca94150a46766df3ccf91">vicolib.h</a></li>
<li>getMCAData1BytePerBin()&#160;:&#160;<a class="el" href="a00002.html#a2533399e42b15c6cb4d5bdd3d514acff">vicolib.h</a></li>
<li>getMCAData2BytesPerBin()&#160;:&#160;<a class="el" href="a00002.html#ab5622b2f8178e54bb441de43ea3e3957">vicolib.h</a></li>
<li>getMCAData3BytesPerBin()&#160;:&#160;<a class="el" href="a00002.html#a1c474ed299bee7d33312cf112495bfa0">vicolib.h</a></li>
<li>getMCADataRaw()&#160;:&#160;<a class="el" href="a00002.html#a31a5471a72c17de14bbd44e31ee0e7ae">vicolib.h</a></li>
<li>getMCADataUInt32()&#160;:&#160;<a class="el" href="a00002.html#a66e085b2119bef5ab6704141b6312772">vicolib.h</a></li>
<li>getMCANumberOfBins()&#160;:&#160;<a class="el" href="a00002.html#a7840d0b2c5e203c7619cf03d288e0b31">vicolib.h</a></li>
<li>getMCUStatusInfo()&#160;:&#160;<a class="el" href="a00002.html#a830a0ec11bc7e1a83accadde40bd5afc">vicolib.h</a></li>
<li>getMediumFilterGapTime()&#160;:&#160;<a class="el" href="a00002.html#af2e534a7c865a05ef347deb54a1a9a51">vicolib.h</a></li>
<li>getMediumFilterMaxWidth()&#160;:&#160;<a class="el" href="a00002.html#a7b303a911dae38db8e32a8e61503378f">vicolib.h</a></li>
<li>getMediumFilterPeakingTime()&#160;:&#160;<a class="el" href="a00002.html#aed2426243958514797ecb4fb0f3be105">vicolib.h</a></li>
<li>getMediumFilterTriggerThreshold()&#160;:&#160;<a class="el" href="a00002.html#a10392f2e1c211a3335f0d64cbc982e3b">vicolib.h</a></li>
<li>getNumberOfDevices()&#160;:&#160;<a class="el" href="a00002.html#a417b5b3edfeeacf0a2480c76c88a4aed">vicolib.h</a></li>
<li>getPreferredInterface()&#160;:&#160;<a class="el" href="a00002.html#a75805bed0df69a7c75af6f111ecdb696">vicolib.h</a></li>
<li>getRdy()&#160;:&#160;<a class="el" href="a00002.html#aa32f4312d8bc6a7ea8a5dc1eb0ad1fe4">vicolib.h</a></li>
<li>getResetDetection()&#160;:&#160;<a class="el" href="a00002.html#a28016d8c684a72c634d399539a89d356">vicolib.h</a></li>
<li>getResetInhibitTime()&#160;:&#160;<a class="el" href="a00002.html#aa1219e1d7f0848c8c9fbc72b8badebb9">vicolib.h</a></li>
<li>getRunInputCountRate()&#160;:&#160;<a class="el" href="a00002.html#a51ae1e442d54f29bb12fdd7dd6c3109c">vicolib.h</a></li>
<li>getRunInputCounts()&#160;:&#160;<a class="el" href="a00002.html#a5bde42a4c6590360168a80b42026e2a7">vicolib.h</a></li>
<li>getRunLivetime()&#160;:&#160;<a class="el" href="a00002.html#a64bd938c4429c61e3adf24e81094eabc">vicolib.h</a></li>
<li>getRunOutputCountRate()&#160;:&#160;<a class="el" href="a00002.html#aeaf28deee4f9bca6f6631d96f656bd1d">vicolib.h</a></li>
<li>getRunOutputCounts()&#160;:&#160;<a class="el" href="a00002.html#afcc6497eaba08e6efb482ea5b8e23cd3">vicolib.h</a></li>
<li>getRunRealtime()&#160;:&#160;<a class="el" href="a00002.html#a0c5eb1253fdaea5840a1cdf33919fb08">vicolib.h</a></li>
<li>getRunStatistics()&#160;:&#160;<a class="el" href="a00002.html#a7469a660897264ddc6b5c7697cd68f7e">vicolib.h</a></li>
<li>getRunStatus()&#160;:&#160;<a class="el" href="a00002.html#a4996c5ef7b387add750e90d56702f9bd">vicolib.h</a></li>
<li>getServiceCode()&#160;:&#160;<a class="el" href="a00002.html#ab28ba0bd525adbad8e4b930613809f19">vicolib.h</a></li>
<li>getSlowFilterGapTime()&#160;:&#160;<a class="el" href="a00002.html#a277ab9a86c0707e9fb8653bac06ba047">vicolib.h</a></li>
<li>getSlowFilterPeakingTime()&#160;:&#160;<a class="el" href="a00002.html#a938873e426e4c22ea959def9193c35dd">vicolib.h</a></li>
<li>getStopCondition()&#160;:&#160;<a class="el" href="a00002.html#abbd1564faa8f95cd1601e83781f7cf59">vicolib.h</a></li>
<li>getSubnetMask()&#160;:&#160;<a class="el" href="a00002.html#a77513cf03b9542af94334254855fafc5">vicolib.h</a></li>
<li>getTemp()&#160;:&#160;<a class="el" href="a00002.html#a164d3ed09f7d89b12c077de0a7882897">vicolib.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
